<?php 
/**
	 * Blog/Archive section 
	 */
	// Blog/Archive section 
	$wp_customize->add_section(
		'nuevo_blog_archive_settings',
		array(
			'title' => esc_html__( 'Archive/Blog', 'nuevo-blog' ),
			'description' => esc_html__( 'Settings for archive pages including blog page too.', 'nuevo-blog' ),
			'panel' => 'nuevo_blog_general_panel',
		)
	);

	// Archive excerpt setting
	$wp_customize->add_setting(
		'nuevo_blog_archive_excerpt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => esc_html__( 'View the post', 'nuevo-blog' ),
		)
	);

	$wp_customize->add_control(
		'nuevo_blog_archive_excerpt',
		array(
			'section'		=> 'nuevo_blog_archive_settings',
			'label'			=> esc_html__( 'Excerpt more text:', 'nuevo-blog' ),
		)
	);

	// Archive excerpt length setting
	$wp_customize->add_setting(
		'nuevo_blog_archive_excerpt_length',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_number_range',
			'default' => 60,
		)
	);

	$wp_customize->add_control(
		'nuevo_blog_archive_excerpt_length',
		array(
			'section'		=> 'nuevo_blog_archive_settings',
			'label'			=> esc_html__( 'Excerpt more length:', 'nuevo-blog' ),
			'type'			=> 'number',
			'input_attrs'   => array( 'min' => 5 ),
		)
	);

	// Category enable setting
	$wp_customize->add_setting(
		'nuevo_blog_enable_archive_category',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'nuevo_blog_enable_archive_category',
		array(
			'section'		=> 'nuevo_blog_archive_settings',
			'label'			=> esc_html__( 'Enable Category.', 'nuevo-blog' ),
			'type'			=> 'checkbox',
		)
	);

	// Date enable setting
	$wp_customize->add_setting(
		'nuevo_blog_enable_archive_date',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'nuevo_blog_enable_archive_date',
		array(
			'section'		=> 'nuevo_blog_archive_settings',
			'label'			=> esc_html__( 'Enable Date.', 'nuevo-blog' ),
			'type'			=> 'checkbox',
		)
	);

	// Author enable setting
	$wp_customize->add_setting(
		'nuevo_blog_enable_archive_author',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'nuevo_blog_enable_archive_author',
		array(
			'section'		=> 'nuevo_blog_archive_settings',
			'label'			=> esc_html__( 'Enable Author.', 'nuevo-blog' ),
			'type'			=> 'checkbox',
		)
	);


	// Tag enable setting
	$wp_customize->add_setting(
		'nuevo_blog_enable_archive_tag',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'nuevo_blog_enable_archive_tag',
		array(
			'section'		=> 'nuevo_blog_archive_settings',
			'label'			=> esc_html__( 'Enable tags.', 'nuevo-blog' ),
			'type'			=> 'checkbox',
		)
	);


	// Featured image enable setting
	$wp_customize->add_setting(
		'nuevo_blog_enable_archive_featured_img',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'nuevo_blog_enable_archive_featured_img',
		array(
			'section'		=> 'nuevo_blog_archive_settings',
			'label'			=> esc_html__( 'Enable featured image.', 'nuevo-blog' ),
			'type'			=> 'checkbox',
		)
	);

 ?>